version: "3.9"

services:
  webui:
    build:
      target: dev
    ports:
      - 3201:3201
    volumes:
      - ./api:/app/api
      - ./packages:/app/packages
      - ./services/webui:/app/services/webui
    tty: true

  request:
    build:
      target: dev
    volumes:
      - ./api:/app/api
      - ./packages:/app/packages
      - ./services/request:/app/services/request
    tty: true

  plex:
    build:
      target: dev
    volumes:
      - ./api:/app/api
      - ./packages:/app/packages
      - ./services/plex:/app/services/plex
    tty: true

  search:
    build:
      target: dev
    volumes:
      - ./api:/app/api
      - ./packages:/app/packages
      - ./services/search:/app/services/search
    tty: true

  seeker:
    build:
      target: dev
    volumes:
      - ./api:/app/api
      - ./packages:/app/packages
      - ./services/seeker:/app/services/seeker
    tty: true

  torrent_rest:
    build:
      target: dev
    ports:
      - 3000:3000
    volumes:
      - ./api:/app/api
      - ./packages:/app/packages
      - ./services/torrent-rest:/app/services/torrent-rest
    tty: true

  torrent_search:
    build:
      target: dev
    volumes:
      - ./api:/app/api
      - ./packages:/app/packages
      - ./services/torrent-search:/app/services/torrent-search
    tty: true

  torrent:
    build:
      target: dev
    volumes:
      - ./api:/app/api
      - ./packages:/app/packages
      - ./services/torrent:/app/services/torrent
    tty: true
